import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Ladron here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Ladron extends AnimatedActor
{

    public int vidas=5;
    
     public Ladron()
    {
        setActua("ladron", ".gif",4);
    }
    public void act() 
    {
     if(Greenfoot.isKeyDown("left") ||Greenfoot.isKeyDown("down") || Greenfoot.isKeyDown("up") || Greenfoot.isKeyDown("right"))
        super.act();

        int y = checaDirVertical();
        int x = checaDirHoriz();

        if(muerteInstantanea())
        {
            Greenfoot.playSound("grito.wav");
            if(vidas>1)
                getWorld().addObject(new Sangre(),getX(),getY());
            muerto();
        }
        else if(muerte())
        {
            Pelea p = new Pelea();
            Greenfoot.playSound("grito.wav");
            if(vidas>1)
                getWorld().addObject(p, getX(), getY());
            muerto();
        }
        else
            setLocation(x,y);
        if(getY()==10)
        {
            Greenfoot.playSound("applause.wav");
            int n = ((Ciudad) getWorld()).getNivel();
            n++;
            if(((Ciudad)getWorld()).getNivel()<3){
                ((Ciudad)getWorld()).removeObjects(getNeighbours(100,true,null));
                ((Ciudad) getWorld()).setNivel(n);
                ((Ciudad) getWorld()).cargaNivel();
                setLocation(54,96);}
            else{
            getWorld().removeObjects(getNeighbours(100,true,null));
            Greenfoot.stopSimulation();
            ((Ciudad)getWorld()).addObject(new Ganaste(),50,50);
        }   
    }
}
    
    private int checaDirHoriz()
    {
     int x = getX();
       
     if(Greenfoot.isKeyDown("left"))
     {
        setActua("ladron", ".gif",4);
        x = x-1;
     }else
     if(Greenfoot.isKeyDown("right"))
     {
        setActua("ladronDer",".gif", 4);
        x = x+1;
     }

    return(x);
    }    
    
    private int checaDirVertical()
    {
      int y = getY();
    
      if(Greenfoot.isKeyDown("up"))
      {
        y = y-1;
      }else
      if(Greenfoot.isKeyDown("down"))
      {
        y = y+1;
      }
      return(y);
    }
    
    private boolean muerte()
    {
        Actor enemigo = getOneObjectAtOffset(-1,-1,Enemigo.class);
        
        if(enemigo != null) {
            return true;
        }
        else {
            return false;
        }
    }
    
    private void muerto()
    {
        vidas--;
        if(vidas>0)
        {
            setLocation(54,96);
        }
        else
        {
            setLocation(50,50);
            Greenfoot.playSound("boo.wav");
            getWorld().removeObjects(getNeighbours(100,true,null));
            ((Ciudad)getWorld()).addObject(new GameOver(),50,50);
            Greenfoot.stopSimulation();
        }
    }
    public boolean muerteInstantanea()
    {
        Actor ecr = getOneObjectAtOffset(0,0,EnemigoConRuta.class);
        
        if(ecr != null) {
            return true;
        }
        else {
            return false;
        }
    }
}
